
From: Adrian Bunk <bunk@stusta.de>

  CC      drivers/mtd/chips/cfi_probe.o
In file included from drivers/mtd/chips/cfi_probe.c:18:
include/linux/mtd/xip.h:77:2: #error "missing IRQ and timer primitives for XIP MTD support"
{standard input}: Assembler messages:
{standard input}:5: Warning: ignoring changed section attributes for .data
make[3]: *** [drivers/mtd/chips/cfi_probe.o] Error 1

Let's put the dependencies from the #error into the Kconfig file:

Signed-off-by: Adrian Bunk <bunk@fs.tum.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/mtd/chips/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/mtd/chips/Kconfig~mtd_xip-dependencies-fix drivers/mtd/chips/Kconfig
--- 25/drivers/mtd/chips/Kconfig~mtd_xip-dependencies-fix	Thu Nov 18 15:03:15 2004
+++ 25-akpm/drivers/mtd/chips/Kconfig	Thu Nov 18 15:03:15 2004
@@ -274,7 +274,7 @@ config MTD_JEDEC
 
 config MTD_XIP
 	bool "XIP aware MTD support"
-	depends on !SMP && MTD_CFI_INTELEXT && EXPERIMENTAL
+	depends on !SMP && MTD_CFI_INTELEXT && (ARCH_SA1100 || ARCH_PXA) && EXPERIMENTAL
 	default y if XIP_KERNEL
 	help
 	  This allows MTD support to work with flash memory which is also
_
